Bug 450317 - Items sometimes overlap if there are many items
Summary: Items sometimes overlap if there are many items
Status: CONFIRMED
Alias: None
Product: plasmashell
Classification: Plasma
Component: Notifications (show other bugs)
Version: 5.26.0
Platform: openSUSE Linux
: NOR normal
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-02-15 16:33 UTC by postix
Modified: 2022-10-19 14:58 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Screenshot (238.54 KB, image/png)
2022-02-15 16:33 UTC, postix
Details
Screenshot: "Thunderbird" title and "Show more" button overlapped (246.60 KB, image/png)
2022-03-09 13:47 UTC, postix
Details
Simple shell script that generates a few notifications (1.61 KB, application/x-shellscript)
2022-06-21 15:17 UTC, postix
Details
Screenshot of the sample message + bug (209.53 KB, image/png)
2022-06-21 15:20 UTC, postix
Details
Simple shell script that generates a few notifications (1.78 KB, application/x-shellscript)
2022-06-21 15:31 UTC, postix
Details

Note You need to log in before you can comment on or make changes to this bug.
Description postix 2022-02-15 16:33:02 UTC
Created attachment 146777 [details]
Screenshot

SUMMARY

Sometimes the items in the notification applet do not have a decent margin and some overlap partly. Please see the screenshot.


SOFTWARE/OS VERSIONS
Operating System: openSUSE Tumbleweed 20220212
KDE Plasma Version: 5.24.0
KDE Frameworks Version: 5.90.0
Qt Version: 5.15.2
Kernel Version: 5.16.8-1-default (64-bit)
Graphics Platform: Wayland
Scaling: 2.0
Comment 1 Nate Graham 2022-02-15 21:39:31 UTC
Not the same as Bug 427894; looks subtly different.

Have not seen this myself.
Comment 2 Behzad A 2022-02-15 22:14:20 UTC
Until a few days ago this issue sometimes occurred in my machine with git-master and also before then with 5.23.5, But I have not seen this problem for several days(with git-master), but  I don't know is fixed or not because  I don't know how can reproduce accurately.
Comment 3 Nate Graham 2022-02-21 21:13:20 UTC
I haven't been able to reproduce this since we fixed Bug 427894, so I suspect there is a very particular set of steps required to experience the issue.

Postix, are you still able to reproduce with Plasma 5.24.1? There was actually a packaging issue in 5.24 that caused some commits to be omitted, but it was all cleared up for 5.24.1. I wonder if there's a chance the fix was one of the omitted commits. So I'd like to ask if you're still seeing it with 5.24.1.
Comment 4 postix 2022-02-21 21:32:02 UTC
(In reply to Nate Graham from comment #3)
> So I'd like to ask if you're still seeing it with 5.24.1.

It's nothing I had seen very regularly, especially since it requires a many messages in the notification applet to show up. So I will observe it the following two weeks on 5.24.1 and if I don't see it, I think we can hopefully and definitely close it.  :)
Comment 5 Nate Graham 2022-02-21 21:32:45 UTC
Awesome, thanks!
Comment 6 postix 2022-02-22 18:33:40 UTC
(In reply to Nate Graham from comment #5)
> Awesome, thanks!

Unfortunately, with updates from yesterday, I could still reproduce it today on openSUSE TW with Plasma 5.24.1.
Right now it happens in the case where I have the following structure:

```
Firefox (Downloading finished)
----
Thunderbird
- Message 1
- Message 2
<-- clip -->
- Message 3
- Message 4
- Message 5
...
```

When I unfold the list, there's a larger margin between message 2 and 3 and 3 overlaps with message 4.
Comment 7 postix 2022-02-22 18:51:19 UTC
The gap between message 2 and 3 after unfolding the list is actually the height of the "Show N more" button. I think that should give you a good hint, of what's going on. :)
Comment 8 postix 2022-02-22 20:44:21 UTC
It also happened now with

```
Firefox
- Download finished
- Download finished
Thunderbird
- Message 1
- Message 2
<---clip --->
```
where message 1 and 2 overlapped.
Comment 9 postix 2022-03-09 13:47:19 UTC
Created attachment 147392 [details]
Screenshot: "Thunderbird" title and "Show more" button overlapped

Here's another sample: This time the title "Thunderbird" and the "Show more" button overlapped. When the cursor hovered over the button, it still show it outlines, but it actually did nothing when clicked as it the list was already expanded from the beginning.
Comment 10 Riccardo Robecchi 2022-05-18 06:53:05 UTC
I can confirm the bug, it's always reproducible with notifications from Thunderbird.
Comment 11 postix 2022-06-21 15:17:33 UTC
Created attachment 150013 [details]
Simple shell script that generates a few notifications

I have created a very trivial sample script which generates sample messages similar to the ones which Thunderbird and also other app produce. Using those I can indeed trigger this bug and hopefully others can now reproduce it as well.

In order to make the message appear in the Notification applet, adjust the following setting:
System Settings > Notifications > Applications: Configure > "Other Applications > "Show in History"
Comment 12 postix 2022-06-21 15:20:19 UTC
Created attachment 150014 [details]
Screenshot of the sample message + bug
Comment 13 postix 2022-06-21 15:31:05 UTC
Created attachment 150015 [details]
Simple shell script that generates a few notifications
Comment 14 postix 2022-06-21 16:32:25 UTC
(In reply to Nate Graham from comment #3)
> I haven't been able to reproduce this since we fixed Bug 427894, so I 
> suspect there is a very particular set of steps required to experience the
> issue.

Nate, can you reproduce it now with the script above?  Could be that you need to adjust it a little bit  in terms of #notifications or header/body content, icons, if you cannot trigger the bug immediately.